# C4 Model Diagrams

The following samples are reproductions with C4-PlantUML from [C4 model core diagrams](https://c4model.com/#coreDiagrams) created by [Simon Brown](https://simonbrown.je/).

- [📄 C4-PlantUML](../README.md#c4-plantuml)
- [📄 Layout Options](../LayoutOptions.md#layout-options)
- [📄 Themes](../Themes.md#themes)
- samples
  - [📄 C4 Model Diagrams](#c4-model-diagrams)
    - [Core Diagrams](#core-diagrams)
      - [System Context Diagram](#system-context-diagram)
      - [Container Diagram](#container-diagram)
      - [Component Diagram](#component-diagram)
    - [Supplementary Diagrams](#supplementary-diagrams)
      - [System Landscape Diagram](#system-landscape-diagram)
      - [Dynamic Diagram](#dynamic-diagram)
      - [Sequence Diagram](#sequence-diagram)
      - [Deployment Diagram](#deployment-diagram)
    - [Styles](#styles)
    - [Icons](#icons)

## Core Diagrams

### System Context Diagram

Source: [C4_Context Diagram Sample - bigbankplc.puml](C4_Context%20Diagram%20Sample%20-%20bigbankplc.puml)

![System Context diagram for Internet Banking System](https://www.plantuml.com/plantuml/png/VL7BRXf14BplLtIu14iyBZdbP9kWn18uA82Yd5QzGmCZve6cUmFyVNgNPGF1yMscfwgwgkQH1PEKtcKVR32kN15iHVRyUJXCU1Xih6pBecHA9WQX80CJ_N3lC5ISFilAsM8u-jIVLQFbT3Bqo499H_ceOXnbiA_KFq8PbEfL0cHBi8xEnOCD6t0s461OmSspJQod2BeQN3Jet4arMe__ocUJfr_VbulyvylYMpuPVns_Vka-P9bOSGJp4mjvQ0YmihX9wDL2WXSTfK02pnXswgR1PjcC4iVGDILBz9Hwq3bFqBNGKVFMqSSdk20Xhki4XQ9wSD3-ODymwncWCR4CmeFEGtRUrYtEYZdNLvNxZwrwKzKRj-kuAkctfGFOe84yYeq1i8XbNQHDjqjxTTCUTmHxF7bgV3H6yl5HkXwj--jatA_kmEt-XMQpjJrqCBKcHOvhWV7HR35i2EYQq6PifSDQgoVLcLxERsISIqp4WCvTsZGwWAQcDvAsRVIkaah2m6WgcDv8J9tq1xchNxrhVid42bDK_encTmMzxMLEOSLDM0Q93UULx6PRn7JtfU-mwyJJnUmiSSziIslTFIgzzEuF "System Context diagram for Internet Banking System")

### Container Diagram

Source: [C4_Container Diagram Sample - bigbankplc.puml](C4_Container%20Diagram%20Sample%20-%20bigbankplc.puml)

![Container diagram for Internet Banking System](https://www.plantuml.com/plantuml/png/fLN1RkCs4BtxAwRfeLv0Zb6WfvxMiOrkjdRYhfncUn96rDWcbY85ScIlKVJVErGKoN8MM1IzaKypRnxV3AdtWT5pNPhH3zegKnS41-Og_3gTUZpTxZKVwhmEv9MpJ9PlbIkdbK4RSoQ12wFpwVoNoIP2J-lLjCJ0v0NAvfA1sfA_hIB_Jr1RIIw51FX0i7F6k9EsUp0I16WB67pMFiZAWHG7unGQSnQEJkNR0l9rDVlhyMcRRHytsUBn-M7yhiTcQPR-ljpEFmZOGi_tsm_PQldRyc4Xu8Wr6uAE50gDUu-b2FLmRvcy9OOxj5-YvlGScChHQ4C-E3jMTM1NaazWtgrkPl0AWzirXyebEu6Jc0fLauYcmG2LShNbS2CwNgYpEm4AzEUn-bcuhWNSl8E_Hm3GwnsVAC-mgYJucNAOLPNH2baxUoFGHpnY0cdbe_Zrd_E8BSZeeyXef0MMM0LjcsCx6hYhcxyUV3CJaSFAeKAXI-MpeSa6znIhlrPDbTSL9p2p-zgWZ_36kwCkA00Qy-qgEvcLA1sDvZEmwvmCSDGOSxG7EJ3atfq2-JUIIfThGwqVwxZfHCr_JE0pbYXM3CM0qQLcAY3KUI2MflqFSIy2eA2ZLdGjRv6F2sJCCL3iGxkCQj8_LZ3Oi_EYBTv0yBJNWNtJKz1Mvh9irWaSC1n4DzPy0EMf8CiQJKZYN548ODnUDiJgzerHEQelP0jnIiUHtTn_Ut8MJi9ydpTmxZiEHLE4M4h_qqttyYkFgKHjij00GhUSh6NVtgp8lnNpTKED1jPQUHVSZc7vLHtGxWbUCeNsWhDLqBCAfzrvBEdgwlRcDbFOzbe9q9tYmcB0tDNSDphfRcm2xD46RCxRcppwHERYLUZlvbEW46j_s6utgGGEuqA5turfHxkdQyjb3wJtXzprBq53rz_pbga11stl2c8uMvN0n_JnONfPl2_v7pEpEudkXVL3FsJvH5W4s7bNDW_FoMkc0EmYSqkyk9iBPSTvuSVL6AL26u0c4MquUY5N4pVKCCohWqn0NpvTRpT2D71va3wSkzwO9d_QklDvlUhCUI-fyQ_rBm00 "Container diagram for Internet Banking System")

### Component Diagram

Source: [C4_Component Diagram Sample - bigbankplc.puml](C4_Component%20Diagram%20Sample%20-%20bigbankplc.puml)

![Component diagram for Internet Banking System - API Application](https://www.plantuml.com/plantuml/png/fPHDR-Cs48Rl-XNJ75e7IE9BJpsjuwJTB9AD4JlzE1aZSYonvOT0KdQDel-zGyesRISe0kn953cSUUQTL_eK8lhO6rrzfwpGlIHeO-p2J-EnnyrDesBRrtqWBvoDPEEDS6RSQRJfpdM8KgjwFFtnUfQsNfyUnmP39CzRowapdRFfJfVo_m2zvSk6Do2s12kdjTiesu1MbW2jX9DZvGEl771nq4wWrblESQ1yMw1wdFpn_BfO_lQm-BnylF_b_klTwBAgeegQu10BKc7ZqN1z3m-MMIr5k4NxLqAPRvdUm3LCPWymwJgj14RbR5LDkNzaK3yA7Lx1nPp3EUyC6peElE2ZFt6DGNZLnTmLsgRNwDF9pBkraXG0jSvTgZr0lGDOiKWf3seLjwbzqOVe3Fa0QuNfZlAmeHfgxpQ1_Ct5vH6QIMHFhbOwGwMIlwD1h-nfTT3Ag4WIGby7hkxYDz2ON6__aBHMWawmxkgHhBd-7KQiCL1YUI6DGsRORyDSj6GmdSwZyyoPV0UU6XMYpz5Co6CpUNq5BOQM963F73Rk1W32aqolgCCLe10K0cZNy0j5aRY66I_l_uuZKuSa679QZuRER518yhpSAeiaUECWq14FOEtwM1JAnLrl8wyOtmRCKXQE8j3obkCa-kq8EyL5pyntSGd_L01GJ3mAgh69ZXziOaYPlDEQiikUVft22uLujZr9tziWQaYpJ3b0MLw-F_mmY71vLlhG5MVSBM7U6yFu7-8eDYncsgZO0aBOfHcKLZwZ76HyGn98z9wDcOJOBSjf7bxdKoEtX2V-FxErJrOacINXy66iLo1Q75uw367Zl2oJEyLW4wrGeAJ_iHByd2FUWPh0S1cStGt2x7ESJI9LpgLVIEyCSAJ0Qo1Mw71UfbJmtWILwxBEtoHA-1usl4KGNQBxSdSxBHUEM-NbFc7wo_2V__DYCPjpyBzLbMBpRp9Zbh0ly-Ul-xWIL5ZV3yoHvWFPp0UIVI8hUwF_0m00 "Component diagram for Internet Banking System - API Application")

## Supplementary Diagrams

### System Landscape Diagram

Source: [C4_Context Diagram Sample - bigbankplc-landscape.puml](C4_Context%20Diagram%20Sample%20-%20bigbankplc-landscape.puml)

![System Landscape diagram for Big Bank plc](https://www.plantuml.com/plantuml/png/TLDDSy963BtxLwXSGcO8zD1JJ-63QJA5a0amcPuyorh6EwnttTKwXEdqlrThRDS4k7cbfwVt9FcPl72-p7NqYp9Ibmb2vdr1luz6JXo7U-MpSbSIEccDH-E7qkQZGWiJQfx89rhjHjFVdjv3QBjSZ7917Xs7ucce-FR38h0_G6cuD6SAy1b2QhMsHsNse9L142Q1YxHon5yMk3LeAuNM9-PeDVwaZnuMuxzMsqsyMRt7izNdM_-n3OtNyVhF-MRwmh4wzFcwUOaNyp_cRpCEHbvvZR0-iV8S5go5f2WG4YNsJkIirS54xM4Yp04ABQFe7HrPqvSbUPkZ6q3l716w0WLRqphNu-GO6YJOjFAtOzG0ZZnTA9hA40CXfIsDfs6FTStPeIkS8emd74s4E_NbhqpOLTDxX7yY0AZrztTd0J5LJmQ_1XQ3lf5M0ojXOGdKggCmyI-5Hr26JUV2Asj0x6nPRKMvIus3QcsvE20KufHZBRiZ9fv_-xxmUMYrMTxh6CQGyBM159Gnmq-2N2ZzlvtvKtW3jIOs6OAgF0eDIoMT9Pjwc7_BJ9Wz0dOBRWdaj4cTo979bittZMcjlNL88BHkrYWv0FN0RyoiTJdepCmxOKZ80ECNUjbAEjzG9QcfZ0dTbv91MNDGi3w7OEr5clQwcHeC53BLM9LfputR_Eoo4_8GspGzDvZm2rRywdAFarmPHTxLlam2L1Q5TVv-bt-Zw0Dr_8Pgd-siw_mcLxUv9IIk2F2F3kvyCf_rNL1r650IbzRWeBM3lxoGDPg4whM70-EQgmut1Zoc0y7V9L9m6kgguqADHMODDYIpgn_iVlEkPEvUkUeUMzVz9UrzuEpwDkv1j-s2xw6YXJWnOoNiilzbhcdv68BCsxNSIJwpzpBN_m40 "System Landscape diagram for Big Bank plc")

### Dynamic Diagram

Source: [C4_Dynamic Diagram Sample - bigbankplc.puml](C4_Dynamic%20Diagram%20Sample%20-%20bigbankplc.puml)

![C4_Dynamic Diagram Sample - bigbankplc](https://www.plantuml.com/plantuml/png/fLLHRo8t47xdLqpJIWKf0ILgNofLEW9HanC970kA-hIQzHhMgjUsR2-KLltl7IyOd5jUJfU7ZJqQVzytttZC9-VH-gQMlH-4Oh8fELJU6_VRQ6HnFzmANpL5uxXbMdck_93fUcGagd3cplbIYc8q-ULk4KBhrzceHkUvfL0-FIYi1HkQWDwRZV-ShrVvQhx8f_Ftj_uWHjvVLi_vxEcFfxSf1NiBRfrMVTOuhsjkRs5oNjsC8OPl1htiG4Hr_gWRLQ8zzDazPSHaU54RRMlqGgkR0VpR0_gRK0ae5BTzD2PD7XiZ1JicK_mpxj0nAuo_XR7QDX9j28-br7jtbk30QwXHuPQ3hxYmOApU2Cb9sqUsU28d6tU2yPGwEuOYxIranWgrXKUjVGYkAWv62-L1Rm0Puyu1LNPM0U9IQ8UufcoIbrC32Uhrk8F7nWNa9HQ5yAzVMXQBoXbjVOjDwK858hxZohiEhEKXbLGc1IrZBAresHI7y7zYENhkG0MbKZXUGeaUMx8p69Z66krubm-RKlY4QnpsAS_anz7mxMaLbWkhTw8aBcstg8HhZRdRKmW2J4kqGIOaBRjKq-BIhB98-pGblGMwbcvkaKaEzmyix3AlBNVN6zA1JxmZ_DIsbE3ra7sP9TWOdVk7dDjnwmYxlGzINffrTXHBg3Jx1cE99B4rx0BtKsX-t4OfQNM0XMxywPA0hz13XJjE7sEuuYNH_TVhBRdCfyau7qTlRShsHbJ2nR61KCWsK3slLekCJjFHuwHs1oW2NBNzWlGvcx-D4hXyUMKOqux7Eezk2jM2J1ydT3nMqZd_SSeohif4LjFgF9ka0o2wWsAq-4ceal_z-qluzWTtzqU9wmv5D8qQjn6sZfXNmMReV0HyE8cUVNm8kkFx_QgxRqBASztOBb3lvrCG61PGSA1odGUqMzAWeI_5N-rR2rgMGApjqU5mIEbIkW7vv41gjGNXGJZOM-4zLx0Nlefimv1-kWgdKCPFZlrAbdtLplZqVBDFHrU-Al6X0vXEOBGemf59P4dsF7-__3n-8lwcbly3 "C4_Dynamic Diagram Sample - bigbankplc")

### Sequence Diagram

Source: [C4_Sequence Diagram Sample - bigbankplc.puml](C4_Sequence%20Diagram%20Sample%20-%20bigbankplc.puml)

![C4_Sequence Diagram Sample - bigbankplc](https://www.plantuml.com/plantuml/png/NL9BRnCn4BxdLmmv1PGc0df2GZIFYXRr4NKB7ADPxsJNmXulzhXH_psURQE6tEnvV8_FlaY2KR9tetUMZSiDGIVIfo_pUSJzhBNIvJedYYQm4ClC13_l7RBkd2LfdAtdg_EpZPP-tjxCFIQXM4hRYlvcOaEpNk57gmA0bYbEpCSfZ2lBhQEp3RO4Yxvtrg3OmEFI-e5FM9beUm7a1XRSPeTHEviOdcn32T0v23kGZk2Q2n-JG8tyfu32BhDHA7HMda42c9maU8e9dYpgZesmfnhg6FR5sMpy_aZTTXaoDnYV9tKXN6okZzMLIO1Ly7rWOfcOJuEHbk6QGH5YS8xYMAjzL2stlrRmG4bEkWld2ZLehaaL9iMmN8x_Mrg-MggUIwX-Tah_MOd8v5YCljMFw9U4V9pRIJOFv52eEIZG3SjJC1rogvSUKzg7sAGfa1YbFuIplUHcSXpRkfwOyyAqHi4Q4ochmh-GmQ4CbUd8etOh2P5UCe18hKqITLfps8NeX_CKEamTDO1PEc9vVGOmaHgzeYlIq1XA2LnettIE2lVmprwUADVUIZfU0md3Lwlkx-PNZu-RgYpfZiuFkQxGbIcR5c_CL2n3uCDacHei9t9a13x0BWR_-gRxZY8DPqPFy1M-3MphvQfiZwgh-z_RcyllbtVh4k85SPEz-mS0 "C4_Sequence Diagram Sample - bigbankplc")

### Deployment Diagram

Source: [C4_Deployment Diagram Sample - bigbankplc.puml](C4_Deployment%20Diagram%20Sample%20-%20bigbankplc.puml)

![Deployment Diagram for Internet Banking System - Live](https://www.plantuml.com/plantuml/png/pLP_J-D64Fq_dsAQLkA7W41AArJff0i9FK24H3YKLgg4nhiJPylQQ-sk0sbrtxqpSgW9ILle_LCZHTxnl9atRsTs-HWY-bZbjWNmbIcKhJJ1BCOo_D3fU7myo4oSLMaLo2jNH2hYWN9vfxHO26e_H6rDskaVxu_5T3kywkGO8dastG-ej6wH2wYK55jG5OmM0yGPmTHPwnvDaO4r1G4M6bO-6n_upG5d1-iKMhjeRJKqDsHezRG-ioI62MRRxIbZKbGFxJtu9itwpZh_eVsrEfI_zevutv1Tyupq55TznIeSdwt7tvuC1jzn1ER3l5HbCP86Inbn4IO8PGtRgAAPonSm1LZM1IJ83eEkUh-CRYVtTnUJy_khiqzdruDj3XPDj0HDKJ0mc7dCMIaF5oo_BoZ2AHOF8bgoOA5ps8ShCwTMgu7TNpjDswLLUz0-DHa807ZPVhK6ZH51aGHkx_pH0dvUHz45WrAJfOpPnzBixkx-6fzE9DHjMd4JmD7t1uV7S3L9daDi2eCbgXang2Sl11ENAupjrmOuENXgmjHFtnKHMJRFGOm0nXVGAqjhsD-uGc9SuXn1sYSflIWp_Aalvh5tSwCfh4itvKOKC5eJ5p0tZ8RBP7JTEPzCnWbmYWFUN5W-drlrxwR2bjBezF3eXL2oVAz4pgEo8j58NWZsOUnDZdxHRcn7NVMtyWpIRPsowm0ZfXX8ODpTMDS9psP8MEuSvMiIdIVfLVBWAJCXUXHlC0KtN8xolWSp33FIW5MSCTUbwg0yQLcY3Nk0Ib48O5t62uhg_U9rLyNhRXHFHXEpyA4PrXtuDpsxBmLDIBb2hqlwpu7NLUx-NsHU8_vMuTENWZzIMe_ryNyRw-uNpZNdPy0TfM-Swm5PCoSVWAM24DbTmV9s4cynhuzyu1zBK696W4sQJQtwUVqmpPrGx5SXkfpyLW0s60wdQMuKrVMMbjEE4d0UUeNspcWfURNK6iRkmnhFA07_Z3boXIk75e8rkP7B8rHfe0XkkbxP-c4M7QWbpI0dcs2CN-NBHMygKhcyNArIB9NS3iBOUEM2cqQuCuLsZq48rLNdg4RI9vjxpRCl-UKEdzOh2VZ9ETcH_ioxd2KPkj-DjGW_6azJzxItZ9tWbAKHKOT6-Ph0cSv8qgstKYXH9gxUwp5cjAcb4kLDMRTAhyWgYtvLU6k_J6lkPrXMpKetJNL3zgy6gE-o8JvmGhdH56SD752O_1PSKTz4Z1OGL_K-nFrjFLGCN9aN9mn1DHlyWcgDh2zPBTr-GwW3JBtBHIfuz2RISyBBmMb_5T1z0sBZUILqR_XGROBK6yP8ZH4Ppawjv7nqr_odz94ANUNsJm00 "Deployment Diagram for Internet Banking System - Live")

**with details**

Source: [C4_Deployment Diagram Sample - bigbankplc-details.puml](C4_Deployment%20Diagram%20Sample%20-%20bigbankplc-details.puml)

![Deployment Diagram for Internet Banking System - Live with details](https://www.plantuml.com/plantuml/png/vLTxR-964F-VJp6bbOwSo2CqLqMLJZe2z98J70YJorMgXDRhmMnlxRLsroIqkk_U6TkS8P1xg5LLgKGYzdWUyvlVp7XvvRomFazq0-0xbKgTHmXBxpFty-cf5VSdiVBBFCmTMcbIZwa_aIOvpRH8sUhO-KYhyBHtSJnXqUreU9e8vz6IQDx7J9jrmaOPXtW6UKhMB02_H5WOhSszIcFGAaKGQGGxZvLrT6M0eeCsKcYz9X-VqZmGeT6Dee565in4t6eko2OKyaEp3J-4SSzeOryslvTd_DSyOkqfwZrDZmz-LvUbdED6Ul7ZPR__WZmqxgW-9lSJQpAqVdsD8aBReWVFW1AMkHOU8z0O8w5JZh54q1BIgrNnHAMWgM151Ox8QDZzTNmxcz_TpAxdmy7hmTi-E_FAQuGQBVILYAr8g8GMReWNcwA7Av5-u6e6Qs8WWMCOgXKs6hNP_As9i9LfsOOcFslI_oiL5uP0uiVt40alG287Q1xzsG3wKCqsO5lD8R7YbKd9aAxJoAG5YrEg0YL2zM6BH_7dmrQKadweuf3Y78jCFN_-_3V_SCbURiESEWlEVpevku3XB61P5-un18TsXHOiEiNEgNBS9TkF5i8cRH1IekCghvI0Nrx0rSthuvi9-Hgvams8FI1ln4h0ExIk0dD9kHzKV9yyyFCNvvtHqogELSxFEXUrpg4oY4p89JB0uW9c9g5oDXyBuFBaeH2cG25IS2Qt4g58UJ3OAi0EFFxqJEe5DPQbK8ezJ6wWcsLQrQonbuAp8BDSrT6x7ei9pKf5wFQRQq4ppCP2AxykQYpWJJ1-Utezcqq2e10dMw0_Dehlh-cS9xkbQfGeF3lVQXk-VQfXPbGxWfC8kovQE1GEzsfqC9QnGcgcP5nSq0nDIZ_DMdRUaO-2j47JDDMXlaH7Fsn58RdeLmRiRefQb7M5ZHW2Qe94yDF06ukyFOe9Y9Npjj06bIwCJOhhDYo5Ms848lTBmbIn3D9YnBT2kyrqW3OntQ2NtqpMvsTxkiLMPvUjpkVOSYYf2GxonGjPnEvblQAFu6aAfnM5dMqEWyBxGHQxTUWsE4-J4Exbq2wtDk_QXL3Qa0Yot6R6eGEJwlMNajmdl_DVONy_yVr--6VMFhL6kDqIjBVAlN_n_zhxqshlT_wLnKzAvE4EmwzS_7taLMPTKMFdILr2TV9ZRHRllnCSVMc4JCG8eWvpQBTyt3-F98PJxENEcmJjCmSaKEGkmfMInNHmwXHs782nq4qZQrJ4a7UXbcQaFYhjoOgDtuj44CATjve0hHB5vo-NXuwGc0KZ-zBRpXkGLPgEsunjbDtDbq0V0YbDaksYP4dE1olEM5bfd5buk5CqJlUE4ofH9qAEWmtOnrv3IxfeAuQl-Avq-DeOPgItj1Ij3IFpXzAQna9PN9Y7TkKx43GwYeiwKjAM2GoY63dSVYkvJF0kAhcU4DU7MYgGLcLbgtJJEDV2xXPUwxzNQsxw2ZLLkcwgAUfF3L0UTaRY0mNa8u-ag8uSSYQ_EvEMHnMoPYD2zMqMyzjogCXmPrvCWKhM16-bMiKgmaHXzHPri21sYbBTM-Ln4_1D_wgtQz3v6ej3cvpJdTBhfdPI4eQkFDfxGqgDu7fyL__OU8LfnB-b_W80 "Deployment Diagram for Internet Banking System - Live with details")

## Styles

Source: [C4_Container Diagram Sample - bigbankplc-styles.puml](C4_Container%20Diagram%20Sample%20-%20bigbankplc-styles.puml)

![Container diagram for Internet Banking System](https://www.plantuml.com/plantuml/png/hLPFRzl64xthKynFoK46Q0i_fBaKC11POXi7agMASjr30M58ZgX5bhl4xj1_KFIxTvQcILDEaKDwCRYpE-yzFxuTyPDdT5oNUlG_PJ9TvmH7vih_F9qwVBWe51_hjFRaCckO35zajfnM6ateEVUSQvLEvp-TRqBfThMSbkYPd9JsS-b0PSXTL05_b7nUt-qtyJPPt-pNjxlbzKqyEHlDyZpML0hq3el9ECNiAvcywnr7yFuWYxdLrbs-ZvVnAhxPxNzPov_vUhdUodvQFE-Etttuy74n-nXw_14hkenLSUH4vPGdOJqvanrDXH3iw94lNzWWUw7xqr1e0HzwneswBUb66VedamLebjPMpcoxNTzrEhGW_Ej6ma-QBXVeZvGlbH4j0_G0FlrlA2npJp5YnPgWynDoXON34WxMmRLXSeOOhj1yLQQ0vCapbQFHXfotPfBLdcr9Be9vzpIUmKiPx07uI91ATmGF4XMecaRKJGqmosnjs8z5npFq_aeAERgdIVP_mJeLC3w3lqO0qEkTF52wnwgImtUKmgogjCgGbJLZANt1UumWgLmGl_fz7ceBqkfUP3JIFClP3Dhm0fgyANUywSi_lfc9o26phr3W4jdMTBx1WWBx2skIELLn13DJr1fTA6-SlLSvUK2jlyrog4qMfADM_0HiEoSzt2iCFSg1_CEGEllWoRsHLDfKQMhzM8L59sh-Be8_i4InOYW6j2eLKmw-JZqnsCCFY7iM03dTgunEvItIIOwCANeAxw5z36gItvOmMBDrv27C5N1KACyE0pSe8xaic-S8Zirb0Qpv29cZd0mhr3uAkIBlGTj25iJPnHkZseijJgaGsStrjvEpi7BCzNq3vxxZK315W9lhYeM_V3EwHDJVNUxZHvvGYKhlVLCGelXy9UlspWNctP50DQIeOQKoPxqzCCIFsH5DGV3SAR2lC5jjFQfWceF3aaukTMzxayys1PaKeCLuRJvWQclk8n1rTpa2TcWyDaxqze-sf5_DY_xMtdhoWVlpRhT9vE3mdA_mksVQqFTmBTt-9ipgrFOpee7h9q2Br1G7WUW8cu4RmHVvIPesvFtRRBPQX5x1Zm7jhwIvbzrVbY7ebZ3tS72sR0RMWrDC7jW6efPdSJKNo0xpbLid8Ki4rWETXsg3qGiPvl54mx2lzfAFdZvPxJO2D7W7W_QJLFO-zJzpCgrMorEl-cs1V_vWMCQ_nZSB-L3u9EZXE-8V "Container diagram for Internet Banking System")

## Icons

Source: [C4_Container Diagram Sample - bigbankplc-icons.puml](C4_Container%20Diagram%20Sample%20-%20bigbankplc-icons.puml)

![Container diagram for Internet Banking System](https://www.plantuml.com/plantuml/png/hLLDS-D44BtxLpJXWBVAZei2BfpMiGt94d-mSZRBITMIslQmenanFRBNHV7VwL5aoN8s5IYuUNgwNp-zVZr-onwTBtFT-qgPL9SPmSxxWdySZHmUhhVAxygaP7AfDPwClqvjFYeqcb0pP9zfbOmctmzN8VGmln_bo9wSXEA9LA0ovAwB2Z-ZZPnWEljmDraked_GnvS5Pkwxjf-Is-56CePSEEM9J-qoseSxRhhyj5oinu-pQ3cV_Q-DgXWUY6rEmnzwtq1f120N8F0xWetLsXwKsO8EBD1aqBbMZkMN1I40sgQezL4m6kcVgrPVjRADq6nBZIzUPzORyY_T_evxVEakvpzqpEJs5xqxOevUJI2p9sqBUagHhxiV_xPyMCVhvIgUBXyN_JTjR1p5qI-pzUHMWdNeyMvz6z_FVfujfXBiUUKrGICAP0gt3dCHsi6TyUGCURX1yobe7XtPKzxhhSYnDVsqP6zpSWEODB-knd0AWzrKGqcaUW07CGOKLI7gAWQOfhOqdg-4nnDqV2E13DsndtuhM9S4hjx0dpq0QFds3vJ4M1II_4W9Z8j2gnIzikPAGkza6WE82XV8ppzCGcnAMed0N55ZBxafr5ODTgh2JT_azE6hSQWDqnMoNGPSe5n5agPfkC8j1HQdxb7gLE47C7uoLGYldDshZ1XGwoztsuZdlGewANy4Rnj56VOAGuro81yEYRC7fWgrTkqpThbDbAPQedauDFmcNm_W8-OewdHvWLQvyfG1bmcJbpd-1vvF1A1wG2ZqULgWIwBJf9-XnmIPmf3gdo4_-lKUEcTl7N7OS0UEjegzgmOEoeXfy-ht07R8Eye0It5TwYWZunLg7WJJ4JDekvK3-VGwOER7PZUVIvXW-ebC9XgguE_LtPTjDhMIvjgwZgQlQ1Va4k1Gqf3ugrcAsMVVfnoLCAm2aZKRpkLSBsGeMyk0LDK4DSnLwYpRZOVPvtGdrY3W9lFqVaYBC_oQLzj1yCt6OKuNsz-E81Zuv8rK0istdGq2CB6bRuqnQ9P-0DwXOQnKE8r27eBtfCyUbdQz7vWuzBvThrUH97RpkC1NSpgh45BhTl62r7QNsFOngU3Qfw96ge8TCpGDaOyc7S2xQBaOdJTlM_xBolX6ibjYxMfqKTuJPWmRP_FgxJfKVwNWRK2kWQSt4u5iCC_qkB1K9B0CD0pH2gCbqdLVXyDbNSdYWBPzD5-l1AYZSgUywxjMcAf-LAlpSNxVYFDMIijS_mq0 "Container diagram for Internet Banking System")
